<template>
  <BaseCard>
    <template #title>
      {{ $t("chart.timelineOn") }}{{ website.label }}
    </template>
    <template #info-left>
      {{
        $t("chart.postsPer", {
          term: lastSearchSettings.searchTerm,
          interval: $t("setting.times." + lastSearchSettings.interval),
        })
      }}
    </template>
    <template #info-right>
      {{ lastSearchSettings.startDate }}
      -
      {{ lastSearchSettings.endDate }}
    </template>
    <template #content>
      <ChartTimeline ref="chart" :resultsData="website" />
    </template>
    <template #footer>
      <FatButton @click="$refs.chart.downloadImage()">
        {{ $t("chart.downloadPNG") }}
      </FatButton>
    </template>
  </BaseCard>
</template>

<script>
import BaseCard from '@/components/BaseCard'
import ChartTimeline from '@/components/charts/ChartTimeline'
import FatButton from '@/components/input/FatButton'

export default {
  components: {
    BaseCard,
    ChartTimeline,
    FatButton
  },
  props: {
    lastSearchSettings: Object,
    website: Object
  }
}
</script>

<style scoped lang="scss"></style>
